package com.ruoyi.system.service;

import com.ruoyi.system.domain.SysReport;

import java.util.List;
import java.util.Map;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2022-06-20
 */
public interface ISysReportService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SysReport selectSysReportById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param sysReport 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SysReport> selectSysReportList(SysReport sysReport);

    /**
     * 新增【请填写功能名称】
     *
     * @param sysReport 【请填写功能名称】
     * @return 结果
     */
    public int insertSysReport(SysReport sysReport);

    /**
     * 修改【请填写功能名称】
     *
     * @param sysReport 【请填写功能名称】
     * @return 结果
     */
    public int updateSysReport(SysReport sysReport);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSysReportByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSysReportById(Long id);

    public List<SysReport> collisionDetection(Long[] ids);


    public List<SysReport> mergeQuery(Long[] ids);

    public Map mergeReport(Long[] ids);

}
